# snapshot 
%global commit  8e9970be499fe2345bdf1408bb84ff0428a07078
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout 20141017git%{shortcommit}

Name:           gedit-latex
Version:        3.8.0
Release:        7.%{checkout}%{?dist}
Summary:        gedit plugin for composing and compiling LaTeX documents

Group:          Applications/Editors
License:        GPLv2+ and GPLv3+
URL:            http://projects.gnome.org/gedit
# Experimental support for Gnome 3.14
# https://bugzilla.gnome.org/show_bug.cgi?id=729735
Source0:        https://git.gnome.org/browse/gedit-latex/snapshot/gedit-latex-%{commit}.tar.xz

BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  cairo-devel
BuildRequires:  atk-devel
BuildRequires:  intltool
BuildRequires:  libpeas-devel
BuildRequires:  gtk3-devel
BuildRequires:  glib2-devel

Requires:       python3-gobject >= %{pygo_version}
Requires:       python3-dbus
Requires:       texlive
# For compiling utilities
Requires:       rubber

Obsoletes:      gedit-plugins-latex < %{version}-%{release}
Provides:       gedit-plugins-latex = %{version}-%{release}


%description
This plugin assists you in composing and compiling LaTeX documents using gedit.

# This plugin should be noarch but due to the fact that we need the plugin
# installed in libdir we need it to be arch dependent. This makes us to not
# require the debug package.
%global debug_package %{nil}

%prep
%setup -q -n %{name}-%{commit}
sed -i -e '/^#!\/.*bin\/perl/d' latex/util/eps2png.pl
# Fixing the multilib path
# https://sourceforge.net/tracker/index.php?func=detail&aid=2130308&group_id=204144&atid=988428
sed -i -e 's|_CONFIG_FILENAME = "/etc/texmf/texmf.cnf"|_CONFIG_FILENAME = "/usr/share/texlive/texmf-dist/web2c/texmf.cnf"|' latex/latex/environment.py
sed -i -e 's|_DEFAULT_TEXMF_DIR = "/usr/share/texmf-texlive"|_DEFAULT_TEXMF_DIR = "/usr/share/texmf"|' latex/latex/environment.py


%build
sh autogen.sh
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %name


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas || :
fi


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas || :


%files -f %{name}.lang
%doc README NEWS COPYING
%{_libdir}/gedit/plugins/*
%{_datadir}/gedit/plugins/latex/
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.latex.gschema.xml

%changelog
* Fri Oct 17 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 3.8.0-7.20141017git8e9970b
- Checkout from upstream git, with support for gnome 3.14

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 15 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 3.8.0-4
- Correct wrong _CONFIG_FILENAME

* Sun Sep 29 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 3.8.0-3
- Add requires python3-dbus (bz 986892)
- Patch fixes python2 print (bz 986892)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 3.8.0-1
- New upstream release 3.8.0.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 3.4.1-1
- New upstream release 3.4.1.

* Mon Mar 26 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 3.4.0-1
- New upstream release 3.4.0.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 06 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.3.2-1
- New upstream release 3.3.2.

* Thu Oct 06 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.3.1-1
- New upstream release 3.3.1.

* Fri Sep 30 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.2.0-1
- New upstream release 3.2.0.

* Tue Sep 20 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.1.1-2
- No need for debug package.

* Tue Sep 13 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 3.1.1-1
- New upstream release 3.1.1.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 21 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-1
- New upstream source. Fixes bz #576598

* Thu Mar 04 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-0.5.rc3
- New upstream source

* Mon Nov 30 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-0.4.rc2
- Using virtual requires to pull in the TeX packages (bz #542611)

* Tue Nov 10 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-0.3.rc2
- Adding a dependency on pypoppler (bz #509484)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-0.2.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 0.2-0.1rc2
- New upstream source

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 01 2008 Sergio Pascual <sergiopr at fedoraproject.org> 0.1.3.2-3
- Disabled debuginfo package

* Wed Oct 01 2008 Sergio Pascual <sergiopr at fedoraproject.org> 0.1.3.2-2
- Adding %%clean
- Empty file removed
- Added empty %%build stage
- Sholud be noarch, but gedit doesn't allow it, bug filled 

* Fri Sep 26 2008 Sergio Pascual <sergiopr at fedoraproject.org> 0.1.3.2-1
- Initial RPM file
